execute store result score @e[type=minecraft:wolf,tag=friend] WolfMoveX run data get entity @e[type=minecraft:wolf,tag=friend,limit=1] Motion[0] 1
execute store result score @e[type=minecraft:wolf,tag=friend] WolfMoveY run data get entity @e[type=minecraft:wolf,tag=friend,limit=1] Motion[1] 1
execute store result score @e[type=minecraft:wolf,tag=friend] WolfMoveZ run data get entity @e[type=minecraft:wolf,tag=friend,limit=1] Motion[2] 1

execute store result score @a[scores={Owner=1}] UUID1 run data get entity @a[scores={Owner=1},limit=1] UUID[0] 1
execute store result score @a[scores={Owner=1}] UUID2 run data get entity @a[scores={Owner=1},limit=1] UUID[1] 1
execute store result score @a[scores={Owner=1}] UUID3 run data get entity @a[scores={Owner=1},limit=1] UUID[2] 1
execute store result score @a[scores={Owner=1}] UUID4 run data get entity @a[scores={Owner=1},limit=1] UUID[3] 1

#Could just make the result the player data, but score will be easier if need it later
execute store result entity @e[type=minecraft:wolf,tag=friend,limit=1] Owner[0] int 1 run scoreboard players get @a[scores={Owner=1},limit=1] UUID1
execute store result entity @e[type=minecraft:wolf,tag=friend,limit=1] Owner[1] int 1 run scoreboard players get @a[scores={Owner=1},limit=1] UUID2
execute store result entity @e[type=minecraft:wolf,tag=friend,limit=1] Owner[2] int 1 run scoreboard players get @a[scores={Owner=1},limit=1] UUID3
execute store result entity @e[type=minecraft:wolf,tag=friend,limit=1] Owner[3] int 1 run scoreboard players get @a[scores={Owner=1},limit=1] UUID4

execute if entity @e[type=wolf,tag=friend,scores={Idle=1}] unless entity @e[type=wolf,tag=friend,scores={WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run execute as @e[tag=aj.packagefriend.root] run function packagefriend:animations/idle/stop
execute if entity @e[type=wolf,tag=friend,scores={Idle=1}] unless entity @e[type=wolf,tag=friend,scores={WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run execute as @e[tag=aj.packagefriend.root] run function packagefriend:animations/walking/play
execute if entity @e[type=wolf,tag=friend,scores={Idle=1}] unless entity @e[type=wolf,tag=friend,scores={WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run scoreboard players set @e[type=wolf,tag=friend] Idle 0

execute if entity @e[type=wolf,tag=friend,scores={Idle=0,WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run execute as @e[tag=aj.packagefriend.root] run function packagefriend:animations/walking/stop
execute if entity @e[type=wolf,tag=friend,scores={Idle=0,WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run execute as @e[tag=aj.packagefriend.root] run function packagefriend:animations/idle/play
execute if entity @e[type=wolf,tag=friend,scores={Idle=0,WolfMoveX=0,WolfMoveZ=0}] unless entity @a[scores={NoAnim=1}] run scoreboard players set @e[type=wolf,tag=friend] Idle 1

execute as @e[type=wolf,tag=friend] at @s run tp @e[tag=aj.packagefriend] ~ ~ ~ ~ ~

execute if entity @a[scores={Sitting=0}] run data merge entity @e[type=minecraft:wolf,tag=friend,limit=1] {Sitting:0b}
execute if entity @a[scores={Sitting=1}] run data merge entity @e[type=minecraft:wolf,tag=friend,limit=1] {Sitting:1b}

execute store result score @a XPos run data get entity @a[limit=1] Pos[0] 1
execute store result score @a ZPos run data get entity @a[limit=1] Pos[2] 1
execute store result score @a YPos run data get entity @a[limit=1] Pos[1] 1

execute if entity @a[scores={FriendFall=1}] at @e[type=wolf,tag=friend] if entity @e[type=wolf,tag=friend,y=-1,distance=..1] run tp @e[type=wolf,tag=friend] @a[scores={Owner=1},limit=1]
execute if entity @a[scores={FriendFall=2}] at @e[type=wolf,tag=friend] if entity @e[type=wolf,tag=friend,y=168,distance=..1] run tp @e[type=wolf,tag=friend] @a[scores={Owner=1},limit=1]

#Hunger
execute store result score @a Hunger run data get entity @a[limit=1] foodLevel 1
execute if entity @a[scores={Hunger=..10}] run effect give @a minecraft:saturation 5 10 true

effect give @a minecraft:night_vision 100 1 true

execute if entity @a[scores={FriendFall=1}] at @a if entity @a[y=-1,distance=..1] run kill @a[y=-1,distance=..1]
execute if entity @a[scores={FriendFall=2}] at @a if entity @a[y=168,distance=..1] run kill @a[y=168,distance=..1]
